frame

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Error with 'make examples' with ncsdk 2.08.01.02

Hi , for V2 (NCSDK-2.08.01.02) I get the below error on make examples. V1 installs and makes examples fine, and I can run examples with positive results

    mark@mark-X58A-UD3R:~/Documents/ncsdk$ make examples
    ./install-opencv.sh
    OpenCV Installation Starting
    Reading installer configuration variables from ./ncsdk.conf
    Installing opencv python for non-Raspbian
    Collecting opencv-python>=3.4.0.12
      Using cached https://files.pythonhosted.org/packages/8c/5a/51fbacac6cf508016916c96393405e2e10d939859322a6dcf7a92e041d0d/opencv_python-3.4.3.18-cp35-cp35m-manylinux1_x86_64.whl
    Requirement already satisfied (use --upgrade to upgrade): numpy>=1.11.1 in /usr/local/lib/python3.5/dist-packages (from opencv-python>=3.4.0.12)
    Installing collected packages: opencv-python
    Successfully installed opencv-python-3.4.3.18
    You are using pip version 8.1.1, however version 18.1 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    Collecting opencv-contrib-python>=3.4.0.12
      Using cached https://files.pythonhosted.org/packages/83/ad/2048145a7c2f187a8f41a074e11986cf885fb6ebcf7ee4a2297003249cde/opencv_contrib_python-3.4.3.18-cp35-cp35m-manylinux1_x86_64.whl
    Requirement already satisfied (use --upgrade to upgrade): numpy>=1.11.1 in /usr/local/lib/python3.5/dist-packages (from opencv-contrib-python>=3.4.0.12)
    Installing collected packages: opencv-contrib-python
    Successfully installed opencv-contrib-python-3.4.3.18
    You are using pip version 8.1.1, however version 18.1 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    Collecting opencv-python>=3.4.0.12
      Using cached https://files.pythonhosted.org/packages/51/3d/9b10d7159e10ac87bd6c1b403dbc72b1240e18da51f9d56f50bb06f75d15/opencv_python-3.4.3.18-cp27-cp27mu-manylinux1_x86_64.whl
    Requirement already satisfied (use --upgrade to upgrade): numpy>=1.11.1 in /usr/local/lib/python2.7/dist-packages (from opencv-python>=3.4.0.12)
    Installing collected packages: opencv-python
    Successfully installed opencv-python-3.4.3.18
    You are using pip version 8.1.1, however version 18.1 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    Collecting opencv-contrib-python>=3.4.0.12
      Using cached https://files.pythonhosted.org/packages/b6/fa/c044b049bf88793910552c116f65aeb7d4adde5d1366f52dee56faef31dd/opencv_contrib_python-3.4.3.18-cp27-cp27mu-manylinux1_x86_64.whl
    Requirement already satisfied (use --upgrade to upgrade): numpy>=1.11.1 in /usr/local/lib/python2.7/dist-packages (from opencv-contrib-python>=3.4.0.12)
    Installing collected packages: opencv-contrib-python
    Successfully installed opencv-contrib-python-3.4.3.18
    You are using pip version 8.1.1, however version 18.1 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    OpenCV Installation Finished

    make examples starting.
    (cd examples; make)
    make[1]: Entering directory '/home/mark/Documents/ncsdk/examples'
    make -C apps/. 

    ............content removed to reduce size----------------------------

    make[5]: Leaving directory '/home/mark/Documents/ncsdk/examples/data/ilsvrc12'

    making prototxt
    Downloading Prototxt file
    --2018-10-10 10:26:36--  https://raw.githubusercontent.com/BVLC/caffe/master/models/bvlc_googlenet/deploy.prototxt
    Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.96.133
    Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.96.133|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 35862 (35K) [text/plain]
    Saving to: './deploy.prototxt’

    deploy.prototxt                                 100%[=====================================================================================================>]  35.02K  --.-KB/s    in 0.02s   

    2018-10-10 10:26:37 (2.05 MB/s) - './deploy.prototxt’ saved [35862/35862]

    Adding input shape to prototxt file.

    making caffemodel
    Downloading caffemodel file
    --2018-10-10 10:26:37--  http://dl.caffe.berkeleyvision.org/bvlc_googlenet.caffemodel
    Resolving dl.caffe.berkeleyvision.org (dl.caffe.berkeleyvision.org)... 169.229.222.251
    Connecting to dl.caffe.berkeleyvision.org (dl.caffe.berkeleyvision.org)|169.229.222.251|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 53533754 (51M) [application/octet-stream]
    Saving to: './bvlc_googlenet.caffemodel’

    bvlc_googlenet.caffemodel                       100%[=====================================================================================================>]  51.05M   847KB/s    in 68s     

    2018-10-10 10:27:45 (767 KB/s) - './bvlc_googlenet.caffemodel’ saved [53533754/53533754]


    making compile
    mvNCCompile -w bvlc_googlenet.caffemodel -s 12 deploy.prototxt
    Makefile:80: recipe for target 'compile' failed
    make[4]: *** [compile] Illegal instruction (core dumped)
    make[4]: Leaving directory '/home/mark/Documents/ncsdk/examples/caffe/GoogLeNet'
    cp: cannot stat '../../caffe/GoogLeNet/graph': No such file or directory
    Makefile:9: recipe for target 'googlenet' failed
    make[3]: *** [googlenet] Error 1
    make[3]: Leaving directory '/home/mark/Documents/ncsdk/examples/apps/multistick_cpp'
    Makefile:13: recipe for target 'multistick_cpp/.' failed
    make[2]: *** [multistick_cpp/.] Error 2
    make[2]: Leaving directory '/home/mark/Documents/ncsdk/examples/apps'
    Makefile:12: recipe for target 'apps/.' failed
    make[1]: *** [apps/.] Error 2
    make[1]: Leaving directory '/home/mark/Documents/ncsdk/examples'
    Makefile:57: recipe for target 'examples' failed
    make: *** [examples] Error 2

Appreciate your help,
Mark

Comments

  • 3 Comments sorted by Votes Date Added
  • Some additional information.
    This is a clean build for testing running Ubuntu 16.04.5.

    Communications with the device appear to be working fine.

        mark@mark-X58A-UD3R:~/Documents/ncsdk/examples/apps/hello_ncs_py$ python hello_ncs.py
        D.: [         0] ncDeviceCreate:308 ncDeviceCreate index 0
    
        D.: [         0] ncDeviceCreate:308 ncDeviceCreate index 1
    
        D.: [         0] ncDeviceOpen:524   File path /usr/local/lib/mvnc/MvNCAPI-ma2450.mvcmd
    
        I: [         0] ncDeviceOpen:530    ncDeviceOpen() XLinkBootRemote returned success 0
    
        I: [         0] ncDeviceOpen:568    XLinkConnect done - link Id 0
    
        D.: [         0] ncDeviceOpen:582   done
    
        I: [         0] ncDeviceOpen:584    Booted 1-ma2450 -> VSC
    
        I: [         0] getDevAttributes:383    Device attributes
    
        I: [         0] getDevAttributes:386    Device FW version: 2.8.2450.16e
    
        I: [         0] getDevAttributes:388    mvTensorVersion 2.8 
    
        I: [         0] getDevAttributes:389    Maximum graphs: 10
    
        I: [         0] getDevAttributes:390    Maximum fifos: 20
    
        I: [         0] getDevAttributes:392    Maximum graph option class: 1
    
        I: [         0] getDevAttributes:394    Maximum device option class: 1
    
        I: [         0] getDevAttributes:395    Device memory capacity: 522059056
    
        Hello NCS! Device opened normally.
        I: [         0] ncDeviceClose:776   closing device
    
        Goodbye NCS! Device closed normally.
        NCS device working.
    
  • Update - Still working through what issue may be, but...

    If I uninstall tensorflow (1.10 in requirements) and install 1.5.

        pip3 uninstall tensorflow
        pip3 install tensorflow==1.5
    

    I can 'make example' and run all examples.

  • I think for the issue that I am having, it is solved. (At least as best it will be till I do hardware upgrade)

    From Tensorflow site "Note: Starting with TensorFlow 1.6, binaries use AVX instructions which may not run on older CPUs."

    I identify this with the below commands on the two machines I have (One works with tensorflow 1.10 and the other only with 1.5)

    Older machine with 1.5 only support. (no support for AVX)

    mark@mark-X58A-UD3R:~/Downloads/tensorflow$ cat /proc/cpuinfo | grep avx
    mark@mark-X58A-UD3R:~/Downloads/tensorflow$ cat /proc/cpuinfo | grep flags
    flags       : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm pti ssbd ibrs ibpb stibp tpr_shadow vnmi flexpriority ept vpid dtherm ida flush_l1d
    

    Newer machine with latest support.(see avx and avx2)

    mtegg@ubuntu:~$ cat /proc/cpuinfo | grep avx
    flags       : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx est tm2 ssse3 sdbg fma cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm cpuid_fault epb invpcid_single pti ssbd ibrs ibpb stibp tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 avx2 smep bmi2 erms invpcid xsaveopt dtherm ida arat pln pts flush_l1d
    
Sign In or Register to comment.